# FindBugsXmlReport

API Documentation: | `FindBugsXmlReport`

Note: This class is incubating and may change in a future version of Gradle.

The single file XML report for FindBugs.

### Properties

Property | Description
`withMessages` | Incubating Whether or not FindBugs should generate XML augmented with human-readable messages. You should use this format if you plan to generate a report using an XSL stylesheet.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `boolean` `withMessages`

Note: This property is incubating and may change in a future version of Gradle.

Whether or not FindBugs should generate XML augmented with human-readable messages. You should use this format if you plan to generate a report using an XSL stylesheet.

If `true`, FindBugs will augment the XML with human-readable messages. If `false`, FindBugs will not augment the XML with human-readable messages.